# $Revision: 1.10 $, $Date: 2011/08/14 18:11:58 $
Summary:	NFS-safe locking library, includes dotlockfile program
Summary(pl.UTF-8):	Biblioteka blokowania plików uwzględniająca NFS wraz z programem dotlockfile
Name:		liblockfile
Version:	1.09
Release:	1
License:	LGPL v2+ (library), GPL v2+ (dotlockfile)
Group:		Libraries
Source0:	http://ftp.debian.org/debian/pool/main/libl/liblockfile/%{name}_%{version}.orig.tar.gz
# Source0-md5:	2aa269e4405ee8235ff17d1b357c6ae8
BuildRequires:	autoconf
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Liblockfile is a shared library with NFS-safe locking functions. It
includes the command-line utility ``dotlockfile''.

%description -l pl.UTF-8
liblockfile to biblioteka współdzielona z funkcjami blokowania plików
bezpiecznymi także w przypadku używania NFS-a. Zawiera działający z
linii poleceń program dotlockfile.

%package devel
Summary:	Header files for liblockfile library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki liblockfle
License:	LGPL v2+
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This is a development package for liblockfile. It includes headers and
documentation.

%description devel -l pl.UTF-8
To jest pakiet programistyczny dla liblockfile, zawiera pliki
nagłówkowe i dokumentację.

%prep
%setup -q

%build
%{__autoconf}
%configure \
	--enable-shared \
	--with-mailgroup

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_bindir},%{_includedir},%{_mandir}/man{1,3}}

%{__make} install \
	MAILGROUP=%(id -gn) \
	ROOT=$RPM_BUILD_ROOT

ln -sf $(basename $RPM_BUILD_ROOT%{_libdir}/liblockfile.so.1.*) $RPM_BUILD_ROOT%{_libdir}/liblockfile.so.1

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYRIGHT Changelog README
%attr(755,root,root) %{_bindir}/dotlockfile
%attr(755,root,root) %{_libdir}/liblockfile.so.*.*
%attr(755,root,root) %ghost %{_libdir}/liblockfile.so.1
%{_mandir}/man1/dotlockfile.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblockfile.so
%{_includedir}/lockfile.h
%{_includedir}/maillock.h
%{_mandir}/man3/lockfile_create.3*
%{_mandir}/man3/maillock.3*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: liblockfile.spec,v $
Revision 1.10  2011/08/14 18:11:58  qboosh
- updated to 1.09

Revision 1.9  2008/08/25 20:10:38  qboosh
- updated to 1.08

Revision 1.8  2008/07/14 17:18:28  qboosh
- updated to 1.07

Revision 1.7  2007/06/13 20:33:59  qboosh
- updated to 1.06.2

Revision 1.6  2007/05/31 15:44:01  areq
- s/eaccess/eaccess2/ (/usr/include/unistd.h:268: has declaration of 'eaccess')

Revision 1.5  2007/02/12 21:23:55  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.3  2006/07/20 19:12:57  qboosh
- pl, moved dotlockfile(1) manual to proper package

Revision 1.2  2006/07/18 21:25:04  glen
- fix group

Revision 1.1  2006/07/18 21:19:42  glen
- new, from debian
